Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Class ThreadBreakpoint

    java.lang.Object
      org.netbeans.api.debugger.Breakpoint
          org.netbeans.api.debugger.jpda.JPDABreakpoint
              org.netbeans.api.debugger.jpda.ThreadBreakpoint

    public final class ThreadBreakpoint

extends JPDABreakpoint

Notifies about thread started and dead events.
How to use it:

        DebuggerManager.addBreakpoint (ThreadBreakpoint.create (
        ));

This breakpoint stops when some thread is created or killed.

Field Summary
`static String` | `PROP_BREAKPOINT_TYPE` Property name constant.
`static int` | `TYPE_THREAD_DEATH` Catch type property value constant.
`static int` | `TYPE_THREAD_STARTED` Catch type property value constant.
`static int` | `TYPE_THREAD_STARTED_OR_DEATH` Catch type property value constant.

Fields inherited from class org.netbeans.api.debugger.jpda.JPDABreakpoint
`PROP_HIDDEN, PROP_PRINT_TEXT, PROP_SUSPEND, SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

Fields inherited from class org.netbeans.api.debugger.Breakpoint
`PROP_DISPOSED, PROP_ENABLED, PROP_GROUP_NAME`

Method Summary
`static ThreadBreakpoint` | `create()` Creates a new breakpoint for given parameters.
`int` | `getBreakpointType()` Returns type of this breakpoint.
`void` | `setBreakpointType(int breakpointType)` Sets type of this breakpoint (TYPE_THREAD_STARTED or TYPE_THREAD_DEATH).
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class org.netbeans.api.debugger.jpda.JPDABreakpoint
`addJPDABreakpointListener, disable, enable, getPrintText, getSuspend, isEnabled, isHidden, removeJPDABreakpointListener, setHidden, setPrintText, setSuspend`

Methods inherited from class org.netbeans.api.debugger.Breakpoint
`addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getGroupName, removePropertyChangeListener, removePropertyChangeListener, setGroupName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROP_BREAKPOINT_TYPE

    public static final String PROP_BREAKPOINT_TYPE

  Property name constant.

  See Also:
    Constant Field Values

### TYPE_THREAD_STARTED

    public static final int TYPE_THREAD_STARTED

  Catch type property value constant.

  See Also:
    Constant Field Values

### TYPE_THREAD_DEATH

    public static final int TYPE_THREAD_DEATH

  Catch type property value constant.

  See Also:
    Constant Field Values

### TYPE_THREAD_STARTED_OR_DEATH

    public static final int TYPE_THREAD_STARTED_OR_DEATH

  Catch type property value constant.

  See Also:
    Constant Field Values

Method Detail

### create

    public static ThreadBreakpoint create()

  Creates a new breakpoint for given parameters.

  Returns:
    a new breakpoint for given parameters

### getBreakpointType

    public int getBreakpointType()

  Returns type of this breakpoint.

  Returns:
    type of this breakpoint

### setBreakpointType

    public void setBreakpointType(int breakpointType)

  Sets type of this breakpoint (TYPE_THREAD_STARTED or TYPE_THREAD_DEATH).

  Parameters:
    `breakpointType` - a new value of breakpoint type property

### toString

    public String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.